Уязвимость BDU:2020-01532

Дата: 26.05.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-01532.

Наименование уязвимости: Уязвимость программного средства MiniMagick, существующая из-за недостаточной проверки входных данных, позволяющая нарушителю выполнить произвольный код.

Описание уязвимости: Уязвимость программного средства MiniMagick существует из-за недостаточной проверки входных данных. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, выполнить произвольный код
Уязвимое ПО: Операционная система Debian GNU/Linux 8.0 | Операционная система Debian GNU/Linux 9.0 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Basesystem 15 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Basesystem 15 SP1 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Debian GNU/Linux 10.0 | Прикладное ПО информационных систем MiniMagick до 4.9.4 |

Наименование ОС и тип аппаратной платформы: Debian GNU/Linux 80 | Debian GNU/Linux 90 | OpenSUSE Leap 150 | OpenSUSE Leap 151 | Debian GNU/Linux 100 |
Дата выявления: 26.05.2019.
CVSS 2.0: AV:N/AC:M/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9,3)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)

Возможные меры по устранению:
Использование рекомендаций:
Для MiniMagick:
https://github.com/minimagick/minimagick/commit/4cd5081e58810d3394d27a67219e8e4e0445d851
https://github.com/minimagick/minimagick/compare/d484786…293f9bb
https://github.com/minimagick/minimagick/releases/tag/v4.9.4

Для Debian GNU/Linux:
https://www.debian.org/security/2019/dsa-4481

Для программных продуктов Novell Inc.:
https://www.suse.com/security/cve/CVE-2019-17543/
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-13574.

Тип ошибки CWE: CWE-20
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.debian.org/security/2019/dsa-4481
https://nvd.nist.gov/vuln/detail/CVE-2019-13574
https://www.suse.com/security/cve/CVE-2019-17543/
https://github.com/minimagick/minimagick/commit/4cd5081e58810d3394d27a67219e8e4e0445d851
https://github.com/minimagick/minimagick/compare/d484786…293f9bb
https://github.com/minimagick/minimagick/releases/tag/v4.9.4
https://benjamin-bouchet.com/blog/vulnerabilite-dans-la-gem-mini_magick-version-4-9-4/

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *